//
// See the file LICENSE for redistribution information.
//
// Copyright (c) 2002-2003
//	Sleepycat Software.  All rights reserved.
//
// $Id: UTF8.hpp,v 1.4 2003/06/04 00:44:32 merrells Exp $
//

#ifndef __UTF8_HPP
#define	__UTF8_HPP

#if defined(DBXML_DOM_XERCES2)
#include <xercesc/util/XMLUTF8Transcoder.hpp>
#endif

#include <string>

namespace DbXml
{

class UTF8ToXMLCh
{
public:
	UTF8ToXMLCh(const std::string &s);
	~UTF8ToXMLCh();
	const XMLCh *str() const;
private:
	XMLCh *xmlch_;
};

class XMLChToUTF8
{
public :
	XMLChToUTF8(const XMLCh* const toTranscode);
	~XMLChToUTF8();
	const char *str() const;
private :
	XMLByte *p_;
};

}

#endif
